/*
 * Copyright (c), Lawrence Foard, 1992
 *
 * Developed under contract by Virtual World Information systems.
 * Questions and suggestions about this package may be directed to:
 * lfoard@turing.org, entropy@world.std.com
 * 
 * Those without e-mail access can call the VWIS Linux support BBS
 * at 1-508-793-9568 and send e-mail to entropy,
 * or send snail mail to:
 *
 * Virtual World Information Systems
 * 217 Park Ave.
 * Box #108
 * Worcester MA 01609
 *
 * This code may be used under the terms of the GNU license.
 * Other licensing agreements may be negotiated with VWIS.
 *
 */
 
#include <linux/unistd.h>
#include <linux/sched.h>
#include <stdio.h>
#include "head.h"

char *fixfile(PROCESS *process,char *name)
 {
  static char buff[10000];
  REMAP *map;
  for(map=process;map;map=map->next)
   if (!strncmp(map->prefix,name,strlen(map->prefix)))
    {
     sprintf(buff,"%s%s",map->replace,name+strlen(map->prefix));
     return(buff);
    }
  return name;
 }
 